FreeBSD : libraw -- index overflow in smal_decode_segment (db04bf07-9cc8-11e5-8c2b-c335fa8985d7)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

ChenQin reports :

The LibRaw raw image decoder has multiple vulnerabilities that can
cause memory errors which may lead to code execution or other
problems.

In CVE-2015-8366, LibRaw's smal_decode_segment function does not
handle indexes carefully, which can cause an index overflow.

See also :

http://www.libraw.org/news/libraw-0-17-1
http://www.nessus.org/u?891699d2
http://seclists.org/fulldisclosure/2015/Nov/108
http://www.nessus.org/u?75708d43

Solution :

Update the affected package.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 87228 ()

Bugtraq ID:

CVE ID: CVE-2015-8366

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now